from flut._flut.engine import FlutEnumObject


class MainAxisSize(FlutEnumObject):
    min: "MainAxisSize"
    max: "MainAxisSize"


class MainAxisAlignment(FlutEnumObject):
    center: "MainAxisAlignment"
    start: "MainAxisAlignment"
    end: "MainAxisAlignment"
    spaceBetween: "MainAxisAlignment"
    spaceAround: "MainAxisAlignment"
    spaceEvenly: "MainAxisAlignment"


class CrossAxisAlignment(FlutEnumObject):
    center: "CrossAxisAlignment"
    start: "CrossAxisAlignment"
    end: "CrossAxisAlignment"
    stretch: "CrossAxisAlignment"
    baseline: "CrossAxisAlignment"


class FlexFit(FlutEnumObject):
    tight: "FlexFit"
    loose: "FlexFit"
